Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Class AccessWrapper

    java.lang.Object
      com.sun.javatest.exec.AccessWrapper

    public class AccessWrapper

extends java.lang.Object

Method Summary
`static com.sun.javatest.exec.BranchPanel` | `createBranchPanel(UIFactory uif, com.sun.javatest.exec.TreePanelModel model, Harness h, ExecModel em, javax.swing.JComponent parent, com.sun.javatest.exec.FilterSelectionHandler filterHandler, com.sun.javatest.exec.TestTreeModel ttm)`
`static ET_FilterHandler` | `createFilterHandler(javax.swing.JComponent parent, ExecModel model, UIFactory uif, Harness h)`
`static com.sun.javatest.exec.LogViewer` | `createLogViewer(WorkDirectory workDir, UIFactory uif, javax.swing.JComponent parent)`
`static com.sun.javatest.exec.NewReportDialog` | `createNewReportDialog(javax.swing.JComponent parent, UIFactory uif, FilterConfig f, java.lang.Object rb, ExecModel model)`
`static com.sun.javatest.exec.ReportBrowser` | `createReportBrowser(javax.swing.JComponent parent, ExecModel model, UIFactory uif, com.sun.javatest.exec.ReportHandler rh)`
`static com.sun.javatest.exec.ReportHandler` | `createReportHandler(javax.swing.JComponent parent, ExecModel model, Harness harness, UIFactory uif)`
`static com.sun.javatest.exec.CE_TemplateDialog` | `createTemplateDialog(javax.swing.JComponent parent, InterviewParameters config, ExecModel model, UIFactory uif)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createReportHandler

    public static com.sun.javatest.exec.ReportHandler createReportHandler(javax.swing.JComponent parent,
                                                                          ExecModel model,
                                                                          Harness harness,
                                                                          UIFactory uif)

### createReportBrowser

    public static com.sun.javatest.exec.ReportBrowser createReportBrowser(javax.swing.JComponent parent,
                                                                          ExecModel model,
                                                                          UIFactory uif,
                                                                          com.sun.javatest.exec.ReportHandler rh)

### createNewReportDialog

    public static com.sun.javatest.exec.NewReportDialog createNewReportDialog(javax.swing.JComponent parent,
                                                                              UIFactory uif,
                                                                              FilterConfig f,
                                                                              java.lang.Object rb,
                                                                              ExecModel model)

### createTemplateDialog

    public static com.sun.javatest.exec.CE_TemplateDialog createTemplateDialog(javax.swing.JComponent parent,
                                                                               InterviewParameters config,
                                                                               ExecModel model,
                                                                               UIFactory uif)

### createFilterHandler

    public static ET_FilterHandler createFilterHandler(javax.swing.JComponent parent,
                                                       ExecModel model,
                                                       UIFactory uif,
                                                       Harness h)

### createLogViewer

    public static com.sun.javatest.exec.LogViewer createLogViewer(WorkDirectory workDir,
                                                                  UIFactory uif,
                                                                  javax.swing.JComponent parent)

### createBranchPanel

    public static com.sun.javatest.exec.BranchPanel createBranchPanel(UIFactory uif,
                                                                      com.sun.javatest.exec.TreePanelModel model,
                                                                      Harness h,
                                                                      ExecModel em,
                                                                      javax.swing.JComponent parent,
                                                                      com.sun.javatest.exec.FilterSelectionHandler filterHandler,
                                                                      com.sun.javatest.exec.TestTreeModel ttm)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.